ALTER FUNCTION "DBA"."get_pa_leping_tun_koht"( in a_lepnr integer, in a_kuup date )
returns numeric(6,3)
begin
  declare ldc_koht numeric(6,3);
  select first pa_leping_tun.koht into ldc_koht from pa_leping_tun where pa_leping_tun.lepnr=a_lepnr and pa_leping_tun.kuup1 <= a_kuup order by pa_leping_tun.kuup1 desc;
  if ldc_koht=0 or ldc_koht is null then
    select if id_koht=1 then 1 else 0 endif into ldc_koht from pa_leping where pa_leping.lepnr=a_lepnr
  end if;
  if ldc_koht is null then
    set ldc_koht=0
  end if;
  return ldc_koht
end